#ifndef __WIFICTLD_SOCKET_MSG_H
#define __WIFICTLD_SOCKET_MSG_H

#include "include.h"
#include "data.h"

#define REQUEST_MAXLEN 256

enum socket_msg_type {
	SOCKET_MSG_TYPE_REQUEST = (1 << 0),
	SOCKET_MSG_TYPE_RESPONSE = (1 << 1),
	SOCKET_MSG_TYPE_CLIENT = (1 << 2),
	SOCKET_MSG_TYPE_STATS = (1 << 3),
};

struct socket_msg {
	uint32_t type;
	struct wifi_client *client;
};

int socket_msg_marshal(struct socket_msg *src, char dest[REQUEST_MAXLEN]);
int socket_msg_unmarshal(struct socket_msg *dest, char src[REQUEST_MAXLEN]);

#endif
